Package org.apache.storm.sql.parser

# Class SqlCreateFunction

java.lang.Object
org.apache.calcite.sql.SqlNode
org.apache.calcite.sql.SqlCall
org.apache.storm.sql.parser.SqlCreateFunction

All Implemented Interfaces:
  `Cloneable`

public class SqlCreateFunction extends org.apache.calcite.sql.SqlCall

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.apache.calcite.sql.SqlSpecialOperator`
  `OPERATOR`

  ### Fields inherited from class org.apache.calcite.sql.SqlNode

  `EMPTY_ARRAY, pos`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SqlCreateFunction(org.apache.calcite.sql.parser.SqlParserPos pos, org.apache.calcite.sql.SqlIdentifier functionName, org.apache.calcite.sql.SqlNode className, org.apache.calcite.sql.SqlNode jarName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `className()`
  `String`
  `functionName()`
  `List<org.apache.calcite.sql.SqlNode>`
  `getOperandList()`
  `org.apache.calcite.sql.SqlOperator`
  `getOperator()`
  `String`
  `jarName()`
  `void`
  `unparse(org.apache.calcite.sql.SqlWriter writer, int leftPrec, int rightPrec)`

  ### Methods inherited from class org.apache.calcite.sql.SqlCall

  `accept, clone, equalsDeep, findValidOptions, getCallSignature, getFunctionQuantifier, getKind, getMonotonicity, isCountStar, isExpanded, operand, operandCount, setOperand, validate`

  ### Methods inherited from class org.apache.calcite.sql.SqlNode

  `clone, clone, cloneArray, equalDeep, equalDeep, equalsDeep, getParserPosition, isA, toSqlString, toSqlString, toString, validateExpr`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OPERATOR

    public static final org.apache.calcite.sql.SqlSpecialOperator OPERATOR

- ## Constructor Details

  - ### SqlCreateFunction

    public SqlCreateFunction(org.apache.calcite.sql.parser.SqlParserPos pos, org.apache.calcite.sql.SqlIdentifier functionName, org.apache.calcite.sql.SqlNode className, org.apache.calcite.sql.SqlNode jarName)

- ## Method Details

  - ### getOperator

    public org.apache.calcite.sql.SqlOperator getOperator()
    Specified by:
      `getOperator` in class `org.apache.calcite.sql.SqlCall`

  - ### getOperandList

    public List<org.apache.calcite.sql.SqlNode> getOperandList()
    Specified by:
      `getOperandList` in class `org.apache.calcite.sql.SqlCall`

  - ### unparse

    public void unparse(org.apache.calcite.sql.SqlWriter writer, int leftPrec, int rightPrec)
    Overrides:
      `unparse` in class `org.apache.calcite.sql.SqlCall`

  - ### functionName

    public String functionName()

  - ### className

    public String className()

  - ### jarName

    public String jarName()